# Beispielprogramm für das Buch "Python lernen kurz und gut"
#
# (C) 2023 Michael Inden

class SimplePerson:
    def __init__(self, name, age):
        self.name = name
        self.age = age

    def __repr__(self):
        return f"{self.name} {self.age}"

    def __lt__(self, other):
        return self.name < other.name or \
               (self.name == other.name and self.age < other.age)


persons = [SimplePerson("Mike", 50), SimplePerson("Jim", 7),
           SimplePerson("Tim", 50), SimplePerson("John", 14),
           SimplePerson("Peter", 50), SimplePerson("Fred", 14),
           SimplePerson("Peter", 40), SimplePerson("Peter", 55)]

# persons.sort()
print("persons", persons)


def by_name_and_age(person):
    return person.name, person.age


def by_age_and_name(person):
    return person.age, person.name


sorted_by_name_and_age = sorted(persons, key=by_name_and_age)
print(sorted_by_name_and_age)

sorted_by_age_and_name = sorted(persons, key=by_age_and_name)
print(sorted_by_age_and_name)

#
persons.sort()
print("sort", persons)
