# Beispielprogramm für das Buch "Python lernen kurz und gut"
#
# (C) 2023 Michael Inden

from ch13_wordraetsel.model import Model
from ch13_wordraetsel.view import View
from ch13_wordraetsel.word_importer import WordImporter

words_to_use = WordImporter.import_words()

model = Model(words_to_use, 10)

view = View(model)
view.display_on_console()
view.display_in_browser()
